FROM python:3.11-slim

WORKDIR /app

COPY src/backend/requirements.txt .
RUN pip install --no-cache-dir -r requirements.txt

# Copiar el backend y el frontend
COPY src/backend ./src/backend
COPY src/frontend ./src/frontend

# El comando se ejecuta desde /app
CMD ["uvicorn", "src.backend.app:app", "--host", "0.0.0.0", "--port", "8000"]
